module Iatelier
  module Controllers
    module Books
      class Manage
        include Iatelier::Action
        include Iatelier::Controllers::Books::DbConnector
		expose :books, :uri
        def call(params)
            # [optional] setting the database
            @database = params.get(:database)
            self.set_database @database

            #
	        @books = Object.const_get(params[:book_type].capitalize).includes(:timestamp).all.order("timestamps.publish desc")

            #
            @uri = '/iatelier/' + @database + '/' + params[:book_type] + '/'
        end
      end
    end
  end
end
