require_relative 'book'

class Bundleable < ApplicationRecord
	belongs_to :bundle
	belongs_to :bundleble, polymorphic: true
end

class Bundle < Book
	@@dimensions = ['title', 'subtitle', 'description', 'slug', 'thumbnail', 'timestamp']
	has_many :bundleables
	self.table_name = "bundles"

	def items(class_name)
		@query = '`bundleables`.`bundle_id` = "' + self.id.to_s + '"'
		Object::const_get(class_name).joins(:bundleables).where(@query)
	end
end